KDE 4.2 PyKDE API Reference

- KDE's Python API

# ServiceBase Class Reference

`from PyKDE4.dnssd import *`

Inherits: KShared
Namespace: DNSSD

## Detailed Description

## Methods

| __init__ (self, QString name=QString(), QString type=QString(), QString domain=QString(), QString host=QString(), long port=0)
| __init__ (self, DNSSD.ServiceBase other)
QString | domain (self)
QString | hostName (self)
bool | operator != (self, DNSSD.ServiceBase o)
bool | operator == (self, DNSSD.ServiceBase o)
long | port (self)
QString | serviceName (self)
QMap<QString,QByteArray> | textData (self)
QString | type (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | name=QString(),
|  | QString | type=QString(),
|  | QString | domain=QString(),
|  | QString | host=QString(),
|  | long | port=0
| ) |  |  |

__init__ | ( | self, |
|  | DNSSD.ServiceBase | other
| ) |  |  |

QString domain | ( |  | self ) |

QString hostName | ( |  | self ) |

bool operator != | ( | self, |
|  | DNSSD.ServiceBase | o
| ) |  |  |

bool operator == | ( | self, |
|  | DNSSD.ServiceBase | o
| ) |  |  |

long port | ( |  | self ) |

QString serviceName | ( |  | self ) |

QMap<QString,QByteArray> textData | ( |  | self ) |

QString type | ( |  | self ) |